# operating-system::get-platform

Gets a PlatformID value that identifies the operating system platform.

### Usage

`PlatformID operating-system::get-platform(operatingSystem)`

### Parameters

Name | Type | Description
--- | --- | ---
operatingSystem | OperatingSystem | The operating system.

### Return Value

PlatformID value that identifies the operating system platform.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)

### See Also

environment::get-operating-system()